#!/bin/sh
#########################################################################################
#
# CloudClient  : Cloud Solutions Engineering, Management Business Unit, VMware
# Description  : Sample script to request an Amazon based blueprint with required properties
# Date         : March 2014
# Version      : vCAC 6.0.1
#
#########################################################################################
#
# Setup environment variables for auto login to CloudClient Shell
. ./env.sh

# Provide CatalogItem/Blueprint and Group Name, a guid or name is supported
export blueprint='"Apache Web Server (Amazon)"'
export group='"CSE Dev"'

# Execute CloudClient
$cloudclient_home/bin/cloudclient.sh vra catalog request submit --id $blueprint --groupid $group --reason test --properties "__amazon.instanceType=t1.micro,__amazon_advancedCapabilitiesMode=false,__amazon.ebs.totalStorageRequested=0,Vrm.DataCenter.Location=us-west-2a" --export /tmp/request.txt
